/*
 * SAMSUNG SoC DECON driver
 *
 * Copyright (c) 2014 Samsung Electronics Co., Ltd.
 *		http://www.samsung.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
*/

#ifndef __DECON_LOGO_HEADER__
#define __DECON_LOGO_HEADER__

#define LOGO_WIDTH		800
#define LOGO_HEIGHT		386
#define CHARGE_LOGO_WIDTH       120
#define CHARGE_LOGO_HEIGHT      186
#define LOGO_BUF_SZ		(LOGO_WIDTH * LOGO_HEIGHT)
#define CHARGE_LOGO_BUF_SZ             (CHARGE_LOGO_WIDTH * CHARGE_LOGO_HEIGHT)
#define LUT_COLOR_0		0xFF000000
#define LUT_COLOR_1		0xFFFFFFFF

void decon_get_centre_coordinates_for_logo(u32 width, u32 height,
			u32 *l, u32 *t, u32 *r, u32 *b);

int decon_fill_frame_buffer(u32 *buf, u32 x, u32 pitch, u32 color);
int charge_decon_fill_frame_buffer(u32 *buf, u32 x, u32 pitch, u32 color);
extern unsigned int get_charger_mode(void);
#endif
