/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source project
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __ASV_H__
#define __ASV_H__

struct chip_info {
	unsigned char nAsv_TABLE;
	unsigned char nAsv_CPUCL0;
	unsigned char nAsv_G3D;
	unsigned char nAsv_MIF;
	unsigned char nAsv_INT;
	unsigned char nAsv_CAM_DISP;
	unsigned char nAsv_CP;
	unsigned char nAsv_CP_CPU_Freq;
};

extern struct chip_info chip_info;

#endif
