/*
 * drivers/video/exynos/panels/auo_h120bln017_mipi_lcd.c
 */

#include "../dsim.h"

#include "lcd_ctrl.h"
#include "decon_lcd.h"
#include "auo_h120bln017_param.h"
#include <asm/arch/gpio.h>

static int auo_h120bln017_probe(struct dsim_device *dsim)
{
	return 1;
}

static int auo_h120bln017_displayon(struct dsim_device *dsim)
{
	dsim_info("%s +\n", __func__);
	lcd_init(dsim->id, dsim->lcd_info);
	dsim_info("%s -\n", __func__);
	return 1;
}

static int auo_h120bln017_suspend(struct dsim_device *dsim)
{
	return 1;
}

static int auo_h120bln017_resume(struct dsim_device *dsim)
{
	return 1;
}

struct mipidsim_lcd_driver auo_h120bln017_mipi_lcd_driver = {
	.probe		= auo_h120bln017_probe,
	.displayon	= auo_h120bln017_displayon,
	.suspend	= auo_h120bln017_suspend,
	.resume		= auo_h120bln017_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &auo_h120bln017_mipi_lcd_driver;
}
